.gallery_container {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin: 0px auto;
}

.gallery_wrapper {
    display: flex;
    width: 100%;
    position: relative;
}

.gallery_content-wrapper {
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.gallery_content {
    display: flex;
    transition: all 250ms linear;
    -ms-overflow-style: none;  /* hide scrollbar in IE and Edge */
    scrollbar-width: none;  /* hide scrollbar in Firefox */
}

/* hide scrollbar in webkit browser */
.gallery_content::-webkit-scrollbar, .gallery_content::-webkit-scrollbar {
    display: none;
}

.gallery_content > * {
    width: 100%;
    flex-shrink: 0;
    flex-grow: 1;
}

.gallery_content.show-2 > * {
    width:50%;
}

.gallery_content.show-3 > * {
    width: calc(100% / 3);
}

.gallery_content.show-4 > * {
    width: calc(100% / 4);
}

.left-arrow, .right-arrow {
    position: absolute;
    z-index: 1;
    top: 50%;
    transform: translateY(-50%);
    width: 48px;
    height: 48px;
    border-radius: 24px;
    background-color: rgba(255, 255, 255, 0.5);
    border: 1px solid #ddd;
}
.left-arrow:hover, .right-arrow:hover {
    background-color: rgba(255, 255, 255, 0.8);
}

.left-arrow {
    left: 24px;
}

.right-arrow {
    right: 24px;
}

@media (hover: none) and (pointer: coarse) {
    .left-arrow, .right-arrow {
        display: none;
    }
}
